> ## Documentation Index
> Fetch the complete documentation index at: https://developers-docs.r25.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# ニュース一覧取得

> ニュースコンテンツを一覧取得



## OpenAPI

````yaml GET /static/projects/{projectId}/spaces/{spaceId}/news/instances/{instanceId}/news
openapi: 3.0.0
info:
  title: CDN API
  version: 1.0.0
  description: CDN 経由でデータを取得します。公開済みのコンテンツの配信に使用します。
servers:
  - url: https://cdn.r25.io
    description: CDN APIサーバー
security: []
tags:
  - name: news
    description: ニュースコンテンツに関するAPI
paths:
  /static/projects/{projectId}/spaces/{spaceId}/news/instances/{instanceId}/news:
    get:
      description: ニュースコンテンツを一覧取得
      parameters:
        - $ref: '#/components/parameters/ProjectIdPathParam'
        - $ref: '#/components/parameters/SpaceIdPathParam'
        - $ref: '#/components/parameters/AppInstanceIdPath'
        - $ref: '#/components/parameters/PagerPageQuery'
        - $ref: '#/components/parameters/PagerSizeQuery'
        - $ref: '#/components/parameters/PagerOrderQuery'
        - $ref: '#/components/parameters/ContentIdsQuery'
        - $ref: '#/components/parameters/CategoryIdOrAliasQuery'
        - $ref: '#/components/parameters/TagIdsOrAliasesQuery'
        - $ref: '#/components/parameters/RssQuery'
        - $ref: '#/components/parameters/QQuery'
        - $ref: '#/components/parameters/IncludeCategoryQuery'
        - $ref: '#/components/parameters/IncludeTagsQuery'
        - $ref: '#/components/parameters/XR25AcApiKeyHeader'
        - $ref: '#/components/parameters/XR25AcApiSecretHeader'
      responses:
        '200':
          description: ニュースコンテンツ一覧
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NewsListResponse'
        '401':
          description: 認証エラー
        '403':
          description: アクセス権限エラー
        '404':
          description: リソースが見つかりません
        '500':
          description: サーバーエラー
components:
  parameters:
    ProjectIdPathParam:
      description: ご自身のプロジェクトIDを指定してください。
      name: projectId
      in: path
      required: true
      schema:
        type: string
    SpaceIdPathParam:
      description: ご自身のスペースIDを指定してください。
      name: spaceId
      in: path
      required: true
      schema:
        type: string
    AppInstanceIdPath:
      description: ご自身のアプリケーションIDを指定してください。
      in: path
      name: instanceId
      required: true
      schema:
        type: string
    PagerPageQuery:
      in: query
      name: page
      description: sizeで指定した数で何ページ目のリソースを取得するか指定できます。
      schema:
        type: integer
        minimum: 1
        default: 1
    PagerSizeQuery:
      in: query
      name: size
      description: 最大何個のリソースを取得するか指定できます。
      schema:
        type: integer
        minimum: 1
        maximum: 99
        default: 10
    PagerOrderQuery:
      in: query
      name: order
      description: >-
        リソースの順番を指定できます。カンマ区切りで、複数の値を指定できます。複数指定の場合、指定した順にソートされます。 e.g.
        createdAt:desc,updatedAt:asc
      schema:
        type: string
    ContentIdsQuery:
      in: query
      name: contentIds
      description: コンテンツIDを複数指定して取得できます。カンマ区切りで、複数の値を指定できます。
      schema:
        type: string
    CategoryIdOrAliasQuery:
      in: query
      name: categoryId
      description: カテゴリーIDまたはカテゴリーエイリアスを指定して取得できます。
      schema:
        type: string
    TagIdsOrAliasesQuery:
      in: query
      name: tagIdsOrAliases
      description: タグIDまたはタグエイリアスを複数指定して取得できます。カンマ区切りで、複数の値を指定できます。
      schema:
        type: array
        minItems: 1
        items:
          type: string
      style: form
      explode: true
    RssQuery:
      in: query
      name: rss
      description: trueを指定することで、RSS配信設定がONのコンテンツのみ取得できます。
      schema:
        type: boolean
        default: false
    QQuery:
      in: query
      name: q
      description: 全文検索を利用して取得できます。
      schema:
        type: string
        minLength: 1
        maxLength: 100
    IncludeCategoryQuery:
      in: query
      name: includeCategory
      description: trueを指定することで、カテゴリー詳細情報も取得できます。
      schema:
        type: boolean
        default: false
    IncludeTagsQuery:
      in: query
      name: includeTags
      description: trueを指定することで、タグ詳細情報も取得できます。
      schema:
        type: boolean
        default: false
    XR25AcApiKeyHeader:
      description: コンソールで取得したAPIキーを指定してください。
      in: header
      name: x-r25-ac-api-key
      required: true
      schema:
        type: string
    XR25AcApiSecretHeader:
      description: コンソールで取得したAPIシークレットを指定してください。
      in: header
      name: x-r25-ac-api-secret
      required: true
      schema:
        type: string
  schemas:
    NewsListResponse:
      allOf:
        - $ref: '#/components/schemas/Pager'
        - type: object
          properties:
            list:
              type: array
              items:
                $ref: '#/components/schemas/NewsContent'
      required:
        - list
    Pager:
      type: object
      properties:
        totalCount:
          example: 999999
          type: integer
        currentPage:
          example: 1
          type: integer
      required:
        - currentPage
        - totalCount
    NewsContent:
      properties:
        contentId:
          type: string
          description: ニュースのID
        projectId:
          type: string
          description: プロジェクトのID
        spaceId:
          type: string
          description: スペースのID
        name:
          type: string
          description: ニュースタイトル
        alias:
          type: string
          description: ニュースを一意に識別する文字列
        status:
          type: string
          description: ニュースのステータス
          enum:
            - draft
            - published
        reservedAt:
          type: integer
          description: ニュースの公開予約日時
        closingAt:
          type: integer
          description: ニュースの公開終了日時
        openingAt:
          type: integer
          description: ニュースの公開開始日時
        values:
          $ref: '#/components/schemas/NewsContentValues'
        category:
          $ref: '#/components/schemas/NewsCategory'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/NewsTag'
        createdAt:
          type: integer
          description: ニュースの作成日時
        updatedAt:
          type: integer
          description: ニュースの更新日時
      required:
        - contentId
        - projectId
        - spaceId
        - name
        - status
        - values
        - createdAt
        - updatedAt
    NewsContentValues:
      description: ニュースの詳細情報
      properties:
        title:
          type: string
          description: タイトル
        body:
          description: 本文
          type: object
          additionalProperties: true
        thumbnail:
          type: object
          properties:
            mediaId:
              type: string
              description: サムネイル画像のID
            media:
              $ref: '#/components/schemas/Media'
              description: サムネイル画像のメディア情報
          required:
            - mediaId
        sponsors:
          type: array
          items:
            $ref: '#/components/schemas/NewsSponsor'
        seo:
          $ref: '#/components/schemas/NewsSeo'
        isOutline:
          type: boolean
          description: 目次自動生成設定
        share:
          $ref: '#/components/schemas/NewsShare'
        isRss:
          type: boolean
          description: RSS配信設定
      required:
        - title
        - body
        - thumbnail
    NewsCategory:
      type: object
      properties:
        categoryId:
          type: string
          description: カテゴリーのID
        name:
          type: string
          description: カテゴリー名
        alias:
          type: string
          description: カテゴリーを一意に識別する文字列
      required:
        - categoryId
        - name
    NewsTag:
      type: object
      properties:
        tagId:
          type: string
          description: タグのID
        name:
          type: string
          description: タグ名
        alias:
          type: string
          description: タグを一意に識別する文字列
      required:
        - tagId
        - name
    Media:
      type: object
      properties:
        name:
          type: string
          description: メディア名
        assets:
          type: array
          items:
            $ref: '#/components/schemas/MediaAssets'
        type:
          $ref: '#/components/schemas/MediaType'
        mediaId:
          type: string
          description: メディアのID
        projectId:
          type: string
          description: プロジェクトのID
        spaceId:
          type: string
          description: スペースのID
        accessUrl:
          type: string
          format: uri
          description: メディアにアクセスするためのURL。type が video の場合、HLS（.m3u8）のURLを返します。
        thumbnailAccessUrl:
          type: string
          format: uri
          description: サムネイル画像のアクセスURL
        meta:
          $ref: '#/components/schemas/MediaMeta'
        fileSize:
          type: integer
          format: int64
          example: 1234567
          description: ファイルサイズ
        duration:
          type: integer
          format: int64
          example: 1234567
          description: メディアの再生時間
        operations:
          type: array
          items:
            $ref: '#/components/schemas/MediaOperation'
        thumbnailOperations:
          type: array
          items:
            $ref: '#/components/schemas/MediaOperation'
        alias:
          type: string
          description: メディアを一意に識別する文字列
        originalUrl:
          type: string
          format: uri
          description: オリジナル画像のアクセスURL
        status:
          $ref: '#/components/schemas/MediaStatus'
        signed:
          type: boolean
          example: true
          description: 署名付きURLが有効かどうか
      required:
        - name
        - type
        - mediaId
        - spaceId
        - projectId
    NewsSponsor:
      type: object
      properties:
        name:
          type: string
          description: スポンサー表示名
      required:
        - name
    NewsSeo:
      type: object
      properties:
        isPreventCrawling:
          type: boolean
          description: クローリング回避設定
        canonicalUrl:
          type: string
          format: uri
          description: カノニカルURL
    NewsShare:
      type: object
      properties:
        x:
          $ref: '#/components/schemas/NewsShareX'
    MediaAssets:
      type: object
      properties:
        path:
          type: string
          example: media/00000000000000000000000.png
        accessUrl:
          type: string
          format: uri
    MediaType:
      type: string
      enum:
        - image
        - video
      example: image
    MediaMeta:
      type: object
      properties:
        ext:
          type: string
          example: png
        mimetype:
          type: string
          example: image/png
        asset:
          type: string
          enum:
            - AdobeAnimate_cjs_1_0_0
      required:
        - ext
        - mimetype
    MediaOperation:
      oneOf:
        - $ref: '#/components/schemas/MediaOperationTrim'
        - $ref: '#/components/schemas/MediaOperationCrop'
        - $ref: '#/components/schemas/MediaOperationFitIn'
        - $ref: '#/components/schemas/MediaOperationSize'
        - $ref: '#/components/schemas/MediaOperationHorizontalAlign'
        - $ref: '#/components/schemas/MediaOperationVerticalAlign'
        - $ref: '#/components/schemas/MediaOperationSmart'
        - $ref: '#/components/schemas/MediaOperationFilters'
      required:
        - type
    MediaStatus:
      type: string
      enum:
        - published
    NewsShareX:
      type: object
      properties:
        text:
          description: x(twitter)シェアテキスト
          type: string
          maxLength: 140
        users:
          description: x(twitter)シェア時のユーザー
          type: array
          items:
            type: string
        hashTags:
          description: x(twitter)OGP用ハッシュタグ
          type: array
          items:
            type: string
        followButtonUsers:
          description: フォローボタンに表示するx(Twitter)ユーザー
          type: array
          items:
            $ref: '#/components/schemas/NewsFollowButtonUser'
    MediaOperationTrim:
      type: object
      properties:
        type:
          type: string
          enum:
            - trim
          example: trim
        orientation:
          type: string
          enum:
            - top-left
            - bottom-right
          example: top-left
      required:
        - type
        - orientation
    MediaOperationCrop:
      type: object
      properties:
        type:
          type: string
          enum:
            - crop
          example: crop
        left:
          type: integer
          example: 10
        top:
          type: integer
          example: 10
        right:
          type: integer
          example: 200
        down:
          type: integer
          example: 200
      required:
        - type
        - left
        - top
        - right
        - down
    MediaOperationFitIn:
      type: object
      properties:
        type:
          type: string
          enum:
            - fit-in
          example: fit-in
        value:
          type: string
          enum:
            - fit-in
            - full-fit-in
            - adaptive-fit-in
      required:
        - type
        - value
    MediaOperationSize:
      type: object
      properties:
        type:
          type: string
          enum:
            - size
          example: size
        width:
          type: integer
          example: 512
        height:
          type: integer
          example: 288
      required:
        - type
        - width
        - height
    MediaOperationHorizontalAlign:
      type: object
      properties:
        type:
          type: string
          enum:
            - h-align
          example: h-align
        value:
          type: string
          enum:
            - left
            - center
            - right
          default: center
          example: center
      required:
        - type
        - value
    MediaOperationVerticalAlign:
      type: object
      properties:
        type:
          type: string
          enum:
            - v-align
          example: v-align
        value:
          type: string
          enum:
            - top
            - middle
            - bottom
          default: middle
          example: middle
      required:
        - type
        - value
    MediaOperationSmart:
      type: object
      properties:
        type:
          type: string
          enum:
            - smart
          example: smart
      required:
        - type
    MediaOperationFilters:
      type: object
      properties:
        type:
          type: string
          enum:
            - filters
          example: filters
        fill:
          type: string
          example: FF00CC
        brightness:
          type: string
          example: '-50'
        contrast:
          type: string
          example: '-50'
        backgroundColor:
          type: string
          example: FF00CC
        quality:
          type: integer
          example: 40
        noise:
          type: integer
          example: 10
        blur:
          type: integer
          example: 5
        sharpen:
          type: string
          example: 2.0,1.0,true
        rotate:
          type: integer
          enum:
            - 0
            - 90
            - 180
            - 270
        convolution:
          type: string
          example: '-1;-1;-1;-1;8;-1;-1;-1;-1,3,false'
        roundCorner:
          type: string
          example: 100,255,255,255
        rgb:
          type: string
          example: 20,-20,20
        grayscale:
          type: boolean
          example: true
        equalize:
          type: boolean
          example: true
      required:
        - type
    NewsFollowButtonUser:
      properties:
        userId:
          type: string
          description: xフォローボタンユーザーのID
        name:
          type: string
          description: xフォローボタンユーザーの名前
      required:
        - userId
        - name

````